Debian Bug report logs - #653312
tahoe-lafs: Error on building from source: aborting due to unexpected upstream changes

version graph

Package: tahoe-lafs; Maintainer for tahoe-lafs is Bert Agaz <bertagaz@ptitcanardnoir.org>; Source for tahoe-lafs is src:tahoe-lafs.

Reported by: Ruben Pollan <meskio@sindominio.net>

Date: Mon, 26 Dec 2011 19:00:02 UTC

Severity: serious

Tags: patch

Found in version tahoe-lafs/1.8.3-2

Fixed in version tahoe-lafs/1.9.1-1

Done: Micah Anderson <micah@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bert Agaz <bertagaz@ptitcanardnoir.org>:
Bug#653312; Package tahoe-lafs. (Mon, 26 Dec 2011 19:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ruben Pollan <meskio@sindominio.net>:
New Bug report received and forwarded. Copy sent to Bert Agaz <bertagaz@ptitcanardnoir.org>. (Mon, 26 Dec 2011 19:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ruben Pollan <meskio@sindominio.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tahoe-lafs: Error on building from source: aborting due to unexpected upstream changes
Date: Mon, 26 Dec 2011 19:57:04 +0100
Package: tahoe-lafs
Version: 1.8.3-2
Severity: serious
Justification: fails to build from source

Dear Maintainer,

While building tahoe-lafs from source dpkg-source returns an error. It don't
happens the first time I build it, but if I rerun dpkg-buildpackage again the
package don't builds.

Here you have the console log:
[meskio@hermes:tahoe-lafs-1.8.3]$ dpkg-buildpackage -rfakeroot
dpkg-buildpackage: source package tahoe-lafs
dpkg-buildpackage: source version 1.8.3-2
dpkg-buildpackage: source changed by Micah Anderson <micah@debian.org>
dpkg-buildpackage: host architecture amd64
 dpkg-source --before-build tahoe-lafs-1.8.3
 fakeroot debian/rules clean
rm -f build-*
dh_testdir
dh_testroot
python setup.py clean
/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'versionfiles'
  warnings.warn(msg)
running clean
rm -rf build
find . -name "*\.py[co]" -exec rm -f {} \;
dh_clean
 dpkg-source -b tahoe-lafs-1.8.3
dpkg-source: info: using source format `3.0 (quilt)'
dpkg-source: info: building tahoe-lafs using existing ./tahoe-lafs_1.8.3.orig.tar.gz
dpkg-source: warning: file tahoe-lafs-1.8.3/src/allmydata_tahoe.egg-info/SOURCES.txt has no final newline (either original or modified version)
dpkg-source: info: local changes detected, the modified files are:
 tahoe-lafs-1.8.3/src/allmydata_tahoe.egg-info/SOURCES.txt
dpkg-source: info: you can integrate the local changes with dpkg-source --commit
dpkg-source: error: aborting due to unexpected upstream changes, see /tmp/tahoe-lafs_1.8.3-2.diff.q8v7Mt
dpkg-buildpackage: error: dpkg-source -b tahoe-lafs-1.8.3 gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Bert Agaz <bertagaz@ptitcanardnoir.org>:
Bug#653312; Package tahoe-lafs. (Sun, 04 Mar 2012 13:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bert Agaz <bertagaz@ptitcanardnoir.org>. (Sun, 04 Mar 2012 13:48:10 GMT) Full text and rfc822 format available.

Message #10 received at 653312@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 653312@bugs.debian.org
Subject: Bug#653312: tahoe-lafs: Error on building from source: aborting due to unexpected upstream changes
Date: Sun, 04 Mar 2012 13:45:09 +0000
[Message part 1 (text/plain, inline)]
I think the problem comes from patching and not cleaning out files that
are build generated.

Attached is a patch that makes rebuild possible.  It should at least be
a start in fixing the bug.  A git repo including this and additional
changes at:
http://anonscm.debian.org/gitweb/?p=users/michaeld-guest/tahoe.git

Regards,
Mike.
[tahoe-lafs_fix-rebuild-issue.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bert Agaz <bertagaz@ptitcanardnoir.org>:
Bug#653312; Package tahoe-lafs. (Wed, 14 Mar 2012 18:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Bert Agaz <bertagaz@ptitcanardnoir.org>. (Wed, 14 Mar 2012 18:27:06 GMT) Full text and rfc822 format available.

Message #15 received at 653312@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 653312@bugs.debian.org
Subject: Re: Bug#653312: tahoe-lafs: Error on building from source: aborting due to unexpected upstream changes
Date: Wed, 14 Mar 2012 19:23:28 +0100
[Message part 1 (text/plain, inline)]
tag 653312 + patch
thanks

On Sun, 04 Mar 2012 13:45:09 +0000, Michael Dorrington wrote:

> I think the problem comes from patching and not cleaning out files that
> are build generated.
> 
> Attached is a patch that makes rebuild possible.  It should at least be
> a start in fixing the bug.  A git repo including this and additional
> changes at:
> http://anonscm.debian.org/gitweb/?p=users/michaeld-guest/tahoe.git

Here's the same patch without the line noise from the different diff
headers, and I can confirm that the package builds.

Since I'm no expert in python stuff, I'd rather let someone else
upload or at least take a review ...

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   
[653312.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 14 Mar 2012 18:27:08 GMT) Full text and rfc822 format available.

Reply sent to Micah Anderson <micah@debian.org>:
You have taken responsibility. (Thu, 14 Jun 2012 18:51:18 GMT) Full text and rfc822 format available.

Notification sent to Ruben Pollan <meskio@sindominio.net>:
Bug acknowledged by developer. (Thu, 14 Jun 2012 18:51:18 GMT) Full text and rfc822 format available.

Message #22 received at 653312-close@bugs.debian.org (full text, mbox):

From: Micah Anderson <micah@debian.org>
To: 653312-close@bugs.debian.org
Subject: Bug#653312: fixed in tahoe-lafs 1.9.1-1
Date: Thu, 14 Jun 2012 18:49:52 +0000
Source: tahoe-lafs
Source-Version: 1.9.1-1

We believe that the bug you reported is fixed in the latest version of
tahoe-lafs, which is due to be installed in the Debian FTP archive:

tahoe-lafs_1.9.1-1.debian.tar.gz
  to main/t/tahoe-lafs/tahoe-lafs_1.9.1-1.debian.tar.gz
tahoe-lafs_1.9.1-1.dsc
  to main/t/tahoe-lafs/tahoe-lafs_1.9.1-1.dsc
tahoe-lafs_1.9.1-1_all.deb
  to main/t/tahoe-lafs/tahoe-lafs_1.9.1-1_all.deb
tahoe-lafs_1.9.1.orig.tar.gz
  to main/t/tahoe-lafs/tahoe-lafs_1.9.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653312@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Micah Anderson <micah@debian.org> (supplier of updated tahoe-lafs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 12 Jun 2012 09:35:12 +0200
Source: tahoe-lafs
Binary: tahoe-lafs
Architecture: source all
Version: 1.9.1-1
Distribution: unstable
Urgency: high
Maintainer: Bert Agaz <bertagaz@ptitcanardnoir.org>
Changed-By: Micah Anderson <micah@debian.org>
Description: 
 tahoe-lafs - Secure distributed filesystem
Closes: 652002 652106 653312
Changes: 
 tahoe-lafs (1.9.1-1) unstable; urgency=high
 .
   [ Bert Agaz ]
   * New upstream release (Closes: #652002).
   * Set urgency to high due to RC bug fix.
   * Update debian/patches/.
   * Install munin plugin configuration as examples (Closes: #652106).
   * Remove old deps version numbers from debian/control.
   * Update debian/copyright to follow DEP-5.
   * Bump debian standard version to 3.9.3.
   * Add manpage.
   * Switch to dh_python2.
   * Bump debian/compat.
   * Fix setuptools egg_info mess with upstream sources. (Closes: #653312)
Checksums-Sha1: 
 acbdaf3f39e202bd3959c48f9e872216b9e401e1 1954 tahoe-lafs_1.9.1-1.dsc
 4d2f4f1a9be29fc95ba943c32cbd14568d73d3a3 1355980 tahoe-lafs_1.9.1.orig.tar.gz
 18bb343887b06ae83ace7852d0b15affdbba218c 13214 tahoe-lafs_1.9.1-1.debian.tar.gz
 684080b50f1e199cdf9a8c3f4cae631cd4295e48 1222826 tahoe-lafs_1.9.1-1_all.deb
Checksums-Sha256: 
 1c1491dca6ca79981584fe8d9fd5c798190084db3ba7529bf7a892fab6d26d2c 1954 tahoe-lafs_1.9.1-1.dsc
 42575dfc00c7a4121f43df7f0a673fd91539f0903a0a3906ee958c8ccc0c6670 1355980 tahoe-lafs_1.9.1.orig.tar.gz
 230462ab4c9fdef23b5f4d60f99b0813af4a9dd80d4d898477d87910eecd92a5 13214 tahoe-lafs_1.9.1-1.debian.tar.gz
 05a2382048de0ca003b99e67d2f92b9d9611fd0e2277542367e2e5babdf4a8ec 1222826 tahoe-lafs_1.9.1-1_all.deb
Files: 
 22dfc4976046f566c4d20b2c67b37caf 1954 utils optional tahoe-lafs_1.9.1-1.dsc
 4c56815aedb0959c6a943f6d901f749b 1355980 utils optional tahoe-lafs_1.9.1.orig.tar.gz
 09e0e5f0507617566f4d1773dd19a8a1 13214 utils optional tahoe-lafs_1.9.1-1.debian.tar.gz
 6c2d9b7c6008ecdc0180d7fb6189765f 1222826 utils optional tahoe-lafs_1.9.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP2i/2AAoJEIy/mjIoYaeQTHsP/1eWFzY9zGO0FRzC5LQj0CRR
fUhWkU2wbeOXvedAdcEG9fmIl9LI5AGorYU7f+JYRK1CtpezDosFdOLzg4btKtYe
II0ihcBl+jb2ckYXxjlmrwTnjDZBMzbxT5tLgpBxI8VwukNe4/784PAsoGgEbVB/
BFl/JA0+cPvzWqoRiBXR8+gcHHZlXS1paV6VtOnW2vZtb+w31VGleP7lv8MVrwMB
ZKApgcFKC3AvHaTPAdkaxUyh/LWcNg2TmBbGk/cE0UEZB49Xws1Kc40uB0WMs6UF
LOqCqsrGgtgAxwzt87r120K5MXsp6mfG8DkEJOvqaXV6HwLycDkgpyLmdmXcm5Xy
plNBhj4AgAgjJNvxyfI6viTeVcY0W1I5IOR7N9fQjZ255nVq00kHMYg7y9v4Knkx
3uvXNEov0XjmRq/IYI8iN9VZeM681sZTnAG4oZ7lqlH7WJApdvQmMIKnwr274VEF
4sQvA6bBA3BTLWA5/f067NFUPIPqkyiuMT8NL0fWSss5mooAkhad/a900eOqRBxO
Vq7ULGujfqmC50r9uQQC8MWMdZOEiCZTOgMZdUtDTcRxrZKbk9d2a5JZa+0uEKkh
I69V10h9iStP0ZxJGE/ZbB3u2UAiqbZDHF8EvScWu6sMsbqLXkujz9m6DILC5pIg
VUmIMGfT7IaYAUFkHywu
=r0P4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Jul 2012 07:27:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 17:57:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.